#include <amxmodx>
#include <engine>

#define B_F 255
#define B_P 100
#define VOL_LOW 0.5

public plugin_precache() {
	precache_sound("misc/flashbang.wav")
	precache_sound("scientist/scream21.wav")
	precache_sound("scientist/scream07.wav")
}

public ifflashed(id) {
	new effect = read_data(7)
	if (effect != B_F && effect != B_P) {

		return PLUGIN_CONTINUE
	}

	client_cmd(id, "spk misc/flashbang")

	if(effect == B_F)
	{

		new rs = random_num(0,1)

		switch(rs)
		{

			case 0: emit_sound(id, CHAN_VOICE, "scientist/scream21.wav", VOL_LOW, ATTN_NORM, 0, PITCH_LOW)
			case 1: emit_sound(id, CHAN_VOICE, "scientist/scream07.wav", VOL_LOW, ATTN_NORM, 0, PITCH_LOW)

		}

	}

	return PLUGIN_CONTINUE
}

public plugin_init() {
	register_plugin("flashbang", "1.0", "Cheap_Suit")
	register_event("ScreenFade", "ifflashed", "be", "4=255", "5=255", "6=255", "7>199")
}

